using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.BizTalk.ExplorerOM;

namespace SchemaDetector
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnFind_Click(object sender, EventArgs e)
        {
            // Connect to the local BizTalk Configuration database
            BtsCatalogExplorer catalog = new BtsCatalogExplorer();
            catalog.ConnectionString = "Server=.;Initial Catalog=BizTalkMgmtDb;Integrated Security=SSPI;";

            foreach (Schema schema in catalog.Schemas)
            {
                if (schema.RootName == txtRootName.Text && schema.TargetNameSpace == txtTargetNamespace.Text)
                {
                    //lstMatchedSchemas.Items.Add(schema.AssemblyQualifiedName);
                    ListViewItem item = new ListViewItem(schema.FullName, 0);
                    item.SubItems.Add(schema.AssemblyQualifiedName);
                    item.SubItems.Add(schema.RootName);
                    item.SubItems.Add(schema.TargetNameSpace);
                    item.SubItems.Add(schema.Type.ToString());
                    item.SubItems.Add(schema.Application.Name);
                    lstViewSchemas.Items.Add(item);

                }
            }

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //Set width
            lstViewSchemas.Columns[0].Width = lstViewSchemas.Width / 7;
            lstViewSchemas.Columns[1].Width = lstViewSchemas.Width / 7;
            lstViewSchemas.Columns[2].Width = lstViewSchemas.Width / 7;
            lstViewSchemas.Columns[3].Width = lstViewSchemas.Width / 7 + lstViewSchemas.Width / 7 ;
            lstViewSchemas.Columns[4].Width = lstViewSchemas.Width / 7;
            lstViewSchemas.Columns[4].Width = lstViewSchemas.Width / 7;




        }
    }
}